package com.arms.api.dashboard.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class DashboardDTO  {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceId(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersions(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean getIsReq(){
        return pdServiceAndIsReq.getIsReq();
    }
}
